Rundeckfacts "undefined method fact"

07/23/2012 04:33 AM - Hannes Schaller

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello!

When I add "rundeckfacts" = "is_virtual" to the Global Paramaters, the Rundeck YML download breaks with the following error:

Failed to fetch rundeck info for myserver.at.internal: undefined method `fact' for #<Host:0x7fec3a

d4c1e0>

 The problem seems to be on http://theforeman.org/projects/foreman/repository/revisions/develop/entry/app/models/host.rb#L574

Unfortunately due to my lack of Rails Know-How I am not able to provide a patch for now.

Thanks in advance!

Associated revisions

Revision 86e9a056 - 07/18/2013 10:37 AM - Andy Bohne 

fixes #1770 - Refactored rdeckfacts definition to use facts_hash

Revision 43334ff4 - 07/19/2013 04:21 AM - Andy Bohne 

fixes #1770 - Refactored rdeckfacts definition to use facts_hash

(cherry picked from commit 86e9a056e5a1d24b9532674d5f14762a1bd9ab78)

History

#1 - 02/07/2013 05:03 AM - Markus Nussdorfer

Hi

having the same issue here.

Im not a dev, but following line

rdecktags += self.params["rundeckfacts"].split(",").map{|rdf| "#{rdf}=#{fact(rdf)[0].value}"}

#2 - 06/26/2013 02:42 PM - Andy Bohne

I have submitted a pull request that fixes this functionality.

https://github.com/theforeman/foreman/pull/752

This can be backported to 1.1.  Simply make the required changes to app/models/host.rb.

#3 - 07/18/2013 11:17 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 86e9a056e5a1d24b9532674d5f14762a1bd9ab78.
#4 - 07/18/2013 11:18 AM - Dominic Cleal

- Target version set to 1.3.0

#5 - 07/19/2013 04:22 AM - Dominic Cleal

- Target version changed from 1.3.0 to 1.2.1
